Bug 1469131 - f26-backgrounds-gnome is missing dep on f26-backgrounds-animated
f26-backgrounds-gnome is missing dep on f26-backgrounds-animated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: f26-backgrounds (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 08:54 EDT by Olivier Crête
Modified: 2017-08-21 09:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: f26-backgrounds-26.2.7-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 02:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Crête 2017-07-10 08:54:37 EDT
In the f26-backgrounds-gnome-26.2.5-1.fc26.noarch, there is a file name /usr/share/gnome-background-properties/f26-animated.xml which refers to /usr/share/backgrounds/f26/default-animated/f26.xml, but that file doesn't exist!
Comment 1 Luya Tshimbalanga 2017-07-10 14:42:10 EDT
(In reply to Olivier Crête from comment #0)
> In the f26-backgrounds-gnome-26.2.5-1.fc26.noarch, there is a file name
> /usr/share/gnome-background-properties/f26-animated.xml which refers to
> /usr/share/backgrounds/f26/default-animated/f26.xml, but that file doesn't
> exist!

Hello Oliviier,
Could you reinstall f26-backgrounds-gnome? Additionally, new version is available on https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac1481dbfe
Comment 2 Olivier Crête 2017-07-10 15:16:41 EDT
The missing file should be part of f26-backgrounds-animated according to the rpm spec file, but that file is missing as dependency.
Comment 3 Luya Tshimbalanga 2017-07-10 16:18:44 EDT
Essentially a case of handling weak dependency. I made a scratch build for testing purpose adding supplements dependancy. Could you check if f26-backgrounds-gnome supplements f26-backgrounds-animated?

Scratch build
https://koji.fedoraproject.org/koji/taskinfo?taskID=20446493
Comment 4 Fedora Update System 2017-07-27 23:20:31 EDT
f26-backgrounds-26.2.7-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-45d1400a33
Comment 5 Fedora Update System 2017-07-28 20:54:16 EDT
f26-backgrounds-26.2.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-45d1400a33
Comment 6 Fedora Update System 2017-07-31 02:25:43 EDT
f26-backgrounds-26.2.7-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.